Bug 50525 - kernel ext3 bug.
Summary: kernel ext3 bug.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-31 21:19 UTC by hjl
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 20:22:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The kernel oops (1.59 KB, text/plain)
2001-07-31 21:20 UTC, hjl
no flags Details

Description hjl 2001-07-31 21:19:36 UTC
When I run a perl script,  I got an kernel ext3 bug.

Comment 1 hjl 2001-07-31 21:20:23 UTC
Created attachment 25676 [details]
The kernel oops

Comment 2 Arjan van de Ven 2001-07-31 21:38:57 UTC
Obvious questions: is it repeatable and if so, is the script public ?

Comment 3 hjl 2001-07-31 21:52:23 UTC
It is not repeatable.  The script is very similar to lndir from X11R6. When
it happened, it was linking a HUGE source directory to another, like

# lndir.pl src tgt

where `src' was a HUGE tree and `tgt' was a newly created dir.

Comment 4 Stephen Tweedie 2001-08-01 12:57:56 UTC
Which kernel?  You mention 2.4-0.9.3.1, but the beta3 kernel (which has the same
ext3 version) uses modular ext3 and your oops seems to have ext3 built-in.

Thanks.

Comment 5 hjl 2001-08-01 14:47:50 UTC
I  rebuilt the kernel with the builtin ext3.

Comment 6 Stephen Tweedie 2001-08-01 19:53:04 UTC
Hopefully fixed in ext3 cvs head.  We'll pull that into the kernel srpm and push
a build through shortly.

Comment 7 hjl 2001-08-01 19:57:12 UTC
I was told it was fixed a couple of days ago in 0.9.5. Here is
the relevant change:

Index: transaction.c
===================================================================
RCS file: /cvsroot/gkernel/ext3/fs/jbd/transaction.c,v
retrieving revision 1.62
retrieving revision 1.62.2.1
diff -u -r1.62 -r1.62.2.1
--- transaction.c       2001/07/28 06:01:33     1.62
+++ transaction.c       2001/07/30 02:29:25     1.62.2.1
@@ -552,6 +561,9 @@
                        JBUFFER_TRACE(jh, "stealing from checkpoint mode");
                        J_ASSERT_JH(jh, jh->b_next_transaction == NULL);
                        J_ASSERT_JH(jh, jh->b_frozen_data == NULL);
+
+                       J_ASSERT(handle->h_buffer_credits > 0);
+                       handle->h_buffer_credits--;

                        /* This will clear BH_Dirty and set BH_JBDDirty. */
                        JBUFFER_TRACE(jh, "file as BJ_Reserved");



Comment 8 Glen Foster 2001-08-01 20:22:43 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 9 Stephen Tweedie 2001-08-24 17:11:43 UTC
Fixed in recent kernel builds: roswell has the patch.


Note You need to log in before you can comment on or make changes to this bug.